import multiprocessing as mp
import random
import math

def cal_pi(num_rep):
    num_inside = 0
    for i in range (0,num_rep):
        x = random.uniform(-1.0,1.0)
        y = random.uniform(-1.0,1.0)

        dis = math.sqrt(x*x + y*y)

        if dis <= 1:
            num_inside += 1

    print(num_inside)
    return (4.0 * float(num_inside)) / float(num_rep)

pool = mp.Pool(10)
results = [pool.apply(cal_pi, args=(1000,)) for a in range(10)]
pool.close()

sum = 0.0
print(results)
for elem in results:
    sum += elem

print(sum / 10)
