import threading
import random
import math

ret_vals = [1.0] * 3

def cal_pi(num_rep, id):
    num_inside = 0
    for i in range (0,num_rep):
        x = random.uniform(-1.0,1.0)
        y = random.uniform(-1.0,1.0)

        dis = math.sqrt(x*x + y*y)

        if dis <= 1:
            num_inside += 1

    ret_vals[id] = (4.0 * float(num_inside)) / float(num_rep)

thread_1 = threading.Thread(target=cal_pi, args=(1000,0))
thread_2 = threading.Thread(target=cal_pi, args=(1000,1))
thread_3 = threading.Thread(target=cal_pi, args=(1000,2))

thread_1.start()
thread_2.start()
thread_3.start()

thread_1.join()
thread_2.join()
thread_3.join()

sum = 0.0
print(ret_vals)
for elem in ret_vals:
    sum += elem

print(sum / 3)
